MediaSelectEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.media
Class MediaSelectEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.media.MediaSelectEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MediaSelectFailedEvent, MediaSelectSucceededEvent

    public abstract class MediaSelectEvent

extends EventObject

`MediaSelectEvent` is the base class of events sent to `MediaSelectListener` instances.

See Also:
  `MediaSelectListener`, Serialized Form

Constructor Summary
`MediaSelectEvent(Controller controller, Locator[] selection)` Creates a new `MediaSelectEvent`.

Method Summary
`Controller` | `getController()` Reports the Controller that generated this event.
`Locator[]` | `getSelection()` Reports the selection that caused this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MediaSelectEvent

    public MediaSelectEvent(Controller controller,
                            Locator[] selection)

  Creates a new `MediaSelectEvent`.

  Parameters:
    `controller` - The Controller that generated this event.
    `selection` - The `Locator` instances on which selection was attempted.

Method Detail

### getController

    public Controller getController()

  Reports the Controller that generated this event.

  Returns:
    The Controller that generated this event.

### getSelection

    public Locator[] getSelection()

  Reports the selection that caused this event.

  Returns:
    The selection that caused this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD